Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 13 Feb 2023 13:02:39 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery This is with regards to my order number 9414148176. Just want to inform how utterly disappointed I am with your service!! Placed an order on 10th feb which was going to be delivered on 11th. All of 12th feb I have been calling and enquiring about my items and keep being told it is in Priority! And the manager is also too busy to come on phone! Only today I finally speak to the manager at 10 am who said she is following up my case and will definitely be on priority… but I don’t understand how slow is your priority delivery!!!!! Terrible terrible experience! It is 3pm on 13th feb today and I still have no info about my items whereabouts!!! Never ever am I planning to shop with you or recommend you to anyone! Have never had such a terrible service from any store!!  Even the smallest brand has the decency to rectify a mistake they make. There has been absolutely NO EFFORT put in to deliver my items quickly which is actually YOUR FAULT!!! I have no words left to describe how disappointed I have been with your service! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5704933